Can't load library 'libXt.so.6'

Can't load library 'libXt.so.6'

Post by Kurt J. Kruege » Fri, 03 Jan 1997 04:00:00



Newbie question.

When trying to run some applications in X-windows, I keep getting "Can't  
load library 'libXt.so.6'."  I have the file in /usr/X11R6/lib.  It is in a  
red block of white flashing lettering (shared library?).  When I do ls -l,  
I get libXt.so.6 -> libXt.so.6.0.  Any help is appreciated.

TIA,

K.J. Krueger

 
 
 

Can't load library 'libXt.so.6'

Post by Pat Land » Fri, 03 Jan 1997 04:00:00



> Newbie question.

> When trying to run some applications in X-windows, I keep getting "Can't
> load library 'libXt.so.6'."  I have the file in /usr/X11R6/lib.  It is in a
> red block of white flashing lettering (shared library?).  When I do ls -l,
> I get libXt.so.6 -> libXt.so.6.0.  Any help is appreciated.

> TIA,

> K.J. Krueger


In the XFree86 HOWTO by Matt Welsh it says:

You also need to make sure that /usr/X11R6/lib can be located by ld.so,
the runtime linker. To do this, add the line
        /usr/X11R6/lib
to the file /etc/ld.so.conf, and run /sbin/ldconfig, as root.

I don't know if this pertains to you or not.
Pat Landy

 
 
 

1. help: "emacs:can't load library 'libXt.so.6'" . . .

Today, I installed Redhat 4.0 on my machine. Since my machine has
S3 Virge Video card, I had to download XFree3.2 and install it instead of
XFree 3.1.2 that is included with Redhat 4.0. After I install XFree 3.2
and configure it,  many programs that starts with "x" don't seem to run
anymore along with some others (emacs, xtetris, etc). When I type "emacs",
linux says, "emacs: 'usr/X11R6/lib/libXt.so.6' is not an ELF file"
"emacs: can't load library 'libXt.so.6'"  And, when I type "xtetris" and
some others, linux says, "xtetris: can't load library 'libXt.so.6'"
Does anyone have any idea what seems to be wrong and how to correct it?

Please let me know via e-mail.

Thank you in advance.

young

2. Got pb installing Solaris 2?6 x86 with a cdrom-RW

3. StarOffice Error: can't load library 'libXt.so.6'

4. libXmu.so.6

5. xinit : can't load library 'libXt.so.6' error msg.

6. ptrace(PT_WRITE_BLOCK) and execute problem

7. Q: can't load library 'libXt.so.6'

8. Documentation for minicom, Seyon ..

9. can't find library 'libXt.so.6'

10. Help [2nd]: can't find library 'libXt.so.6'

11. can't find library 'libXt.so.3'

12. Error : can't find library 'libXt.so.3'

13. Metafont: can't find library 'libXt.so.6'